import type { HandleClientError } from "@sveltejs/kit";

export const handleError: HandleClientError = ({ error, status }) => {
  const errorId = crypto.randomUUID();

  console.error(`Client - Error ID: ${errorId} - Status: ${status} - ${error}`);

  return {
    message: 'Whoops!',
    errorId,
  };
};
